/*
 * Copyright (c) 2020 TDK Invensense
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef ZEPHYR_DRIVERS_SENSOR_ICP20100_ICP20100_SETUP_H_
#define ZEPHYR_DRIVERS_SENSOR_ICP20100_ICP20100_SETUP_H_

#include <zephyr/device.h>

int icp20100_sensor_init(const struct device *dev);
int icp20100_turn_on_fifo(const struct device *dev, uint8_t enable_interrupt);
int icp20100_turn_off_fifo(const struct device *dev);
int icp20100_turn_off_sensor(const struct device *dev);
int icp20100_turn_on_sensor(const struct device *dev);
int icp20100_set_mode(const struct device *dev, uint8_t mode, uint8_t enabled);

#endif /* __SENSOR_ICM42605_ICM42605_SETUP__ */
